DASAlignmentClient (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.dasalignment.DASAlignmentClient class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasalignment
Class DASAlignmentClient

    java.lang.Object
      org.biojava.bio.program.das.dasalignment.DASAlignmentClient

    public class DASAlignmentClient

extends Object

A DAS client that connects to a DAS aligmnent service and returns a Biojava Alignment object.

Constructor Summary
`DASAlignmentClient()` Constructs a DASAlignmentClient object.
`DASAlignmentClient(String url)` Constructs a DASAlignmentClient object.

Method Summary
`Alignment[]` | `getAlignments()` Returns the alignments.
`Alignment[]` | `getAlignments(String query_)` Returns the alignments.
`String` | `getQuery()` Returns the query.
`void` | `setQuery(String q)` Specifies the query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASAlignmentClient

    public DASAlignmentClient()

  Constructs a DASAlignmentClient object.

### DASAlignmentClient

    public DASAlignmentClient(String url)

  Constructs a DASAlignmentClient object.

  Parameters:
    `url` - a String ...

Method Detail

### setQuery

    public void setQuery(String q)

  Specifies the query.

  Parameters:
    `q` - a String specifying the query value
  See Also:
    `getQuery()`

### getQuery

    public String getQuery()

  Returns the query.

  Returns:
    a String representing the query value
  See Also:
    `setQuery(java.lang.String)`

### getAlignments

    public Alignment[] getAlignments(String query_)
                              throws IOException

  Returns the alignments.

  Parameters:
    `query_` - a String
  Returns:
    an array of Alignment objects
  Throws:
    `IOException` - ...

### getAlignments

    public Alignment[] getAlignments()
                              throws IOException

  Returns the alignments.

  Returns:
    an array of Alignment objects
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD